Search the Community
Showing results for tags 'select'.
-
How to select a "loft" surface via lisp to thicken
Hachi posted a topic in AutoLISP, Visual LISP & DCL
Hey guys! I'm trying to write a lisp that creates a 3D reducer. Once I create the 3D surface via command "_Loft" it remains to create a 3d solid body with the "thicken" command. I can't select the 3D loft surface. Can anyone help with this? Thanks in advance for the answers! Here is my... -
Hello, I need a lisp that would randomly select a certain percentage of objects from an user pre-selected group. We are creating shutters, that are randomly perforated - don't want to manually randomly delete hundreds of small circles. I've found a lisp from David Bethel (in this forum's arc...
-
Hello, Someone can help with the following: In a job I have different multiline styles. Using a routine will it be possible to toggle current style just picking on one of these multilines? Thanks Aalmeidah
-
(sssetfirst nil (ssget "_X" '((8 . "5")))) will select objects in layer 5 no problem but when i incorporate (getvar "CLAYER") to make: (sssetfirst nil (ssget "_X" '((8 . (getvar "CLAYER"))))) It comes back with error: ; error: bad SSGET list value It's probably just a simple fix (heck,...
-
select multiple polylines and convert straight to arc segments
jntm226 posted a topic in AutoLISP, Visual LISP & DCL
this lisp convert polyline segments to arcs . work one line for time . i need select 1000 polylines for times. I'm new in autolisp and i do know what change in the code : (defun c:lwsegs2arced ( / massoclst nthmassocsubst v^v unit _ilp doc lw enx gr enxb p1 p2 p3 b i n ) (vl-load-com) (def... -
I'm searching a lisp to select block into block, by name
Bibix posted a topic in AutoLISP, Visual LISP & DCL
hello, well i'm working on several floor, we got a block made by apartment, in each apartment, we gad lot of blocks, like exemple "bed", i'd like to select all the bed in one time to change the layer of this block, i don't want to enter the edit_block to change the layer of the lines, but to h... -
selecting objects by layer
Jamez posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Is it possible to select objects by layer using only the command prompt, I know it is possible to select objects by other means but I'm specifically trying to use the command prompt to run a script which will go on to cleanse dxf files. If not, does anyone now of a lisp routine which would enable th... -
Help - Select lines and overlaping in the same coordinate
teknomatika posted a topic in AutoLISP, Visual LISP & DCL
In the attached file, two lines are represented, apparently overlapping. In fact there is one out of the way between 0.0001. Someone will be able to achieve a routine that makes it possible to select the lines, overlapping them with the same y-coordinate. Of course, also for distant lines with ot...- 4 replies
-
- overlapping
- move
-
(and 2 more)
Tagged with:
-
I need to select all existaing MLeader on a specific MLeader Style and change them to an other MLeader style. I already create a similar code to dimension that work good for exemple. ________________________________________________________________ (setq dimstyle_old (ssget "_X" '((0 . "*DIMENS...
- 6 replies
-
- mleaderstyle
- mleader
-
(and 2 more)
Tagged with:
-
Hello everyone. I am having a mental blank as i am sure i know the solution to this but cannot remember I am trying to have a shortcut to select all xrefs starting with X* I have tried this but i does not work. (defun c:xrss () (command "SELECT" (ssget "X" (list (cons 0 "INSERT") (co...
-
In Blender 3D, there is a circle select tool (formerly brush select) that allows you to paint your selection as if using a brush in Photoshop. After extensive searches, I can't find anything like it in Autocad. Is there anything like this out there already, or will I need to draft it up myself? Any...
-
Selection of, and snap to, hidden part of hidden line
Scott B posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
I have been drafting for years and i am familiar with Microstation and AutoCad. I used Microstation for 5 years, then changed jobs, the new job requires AutoCad. My issue is the way the 2 systems treat lines. Microstaation treats all lines as complete entity ie: you can sellect and snap to the "bla...- 3 replies
-
- select
- hidden lines
-
(and 1 more)
Tagged with:
-
How to select "exact" custom multileader style
rhgrafix posted a topic in AutoLISP, Visual LISP & DCL
Hi, I searched and found some code on here that did not go as deep as I need it to. A few weeks ago I made a multileader with the hexagon and enabled the large dot on the end of the leader, it was MLS "STANDARD", my first mistake. But 1st, I customized the _TagHexagon so it had a masked mtex...-
- select
- multileader
-
(and 3 more)
Tagged with:
-
select an object or line directly underneath another
kizaerf posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Is there a quick shortcut for this, similar to Revit where you can hit Tab to click on objects that are under others? Thanks, -
I'm not sure the correct wording of what I'm trying to do so google hasn't been too helpful. I have a command that invokes a dialog box with the option to "edit" an object, among other things. I'm looking to automate some things. I want to run the command, (Defun C:bbb () (command "BEAM") T...
-
Hello all, Could anyone tell me how to alter this code? It asks to pick a value then whether to apply it once or multiple times. In multiple mode, you still only choose one at a time. I would like to be able to apply to multiple objects at once, using a selection box. Thanks -Nobull ;...
-
Find and Select blocks that have certain attributes & Change colour in multple files
liamdonnelly0209 posted a topic in AutoLISP, Visual LISP & DCL
Hi All. I am trying to achieve the following: for example... in 100 floor plans there are blocks that have certain attribute values. i want to be able to create a script/lisp that will find all blocks that include a certain piece of text ie "window" in the attribute value and change the block... -
Is it possible to have a program or lisp that will change the color of an object as it is selected? Then maybe change the color back after whatever action is done? The types of dwgs we do can get somewhat busy and it can be very easy to miss something. Can anyone tell me if this is possible or not?...
-
Selecting Nested attribute text enity to remove hatch over it
shailujp posted a topic in AutoLISP, Visual LISP & DCL
Hi all, I need help on selecting a nested object which is attributed text from the block to be able to remove hatch over it. Below is the code that I'm using currently (not mine originaly, I tweaked it a bit for my application). This code just works for the whole block but doesnt allow me to... -
Quick properties dialog box
jdavid10 posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
As I draw, whenever I click on an object (e.g. a polyline) a small dialog box appears right next to it. For example: in the drawing below I'm selecting my own polyline which I've made into a line with an arrow tip. Now I select it because I want to change something but the small dialog box appea... -
I went on vacation and came back and found that some settings have been changed on my computer, caused by the guy who used my computer and he said, "The program was just wigging out." BS! Anyway. I am currently running into the problem where i will select 1 item by simply clicking on it, and...
- 7 replies
-
- multiple items
- deselect
-
(and 1 more)
Tagged with:
-
Hi I have a block which contains dimensions and am wondering if it's possible for the dimensions to be hidden if the block is not selected? They are on a separate layer so I can hide them in the layer manager but it would be slick for them to autohide unless I select the block. Anybody have a su...
- 2 replies
-
- hide
- dynamic block
-
(and 2 more)
Tagged with:
-
Selecting objects in a script
Zoe the 3rd posted a topic in The CUI, Hatches, Linetypes, Scripts & Macros
Hello! I'm new to scripting, I dabbled a bit in AutoLisp years ago, but since my new AutoCAD LT doesn't support lisps I haven't retained that knowledge. Anyway... I am trying to write a script that will use the MOVE command and displace an object by a set distance. (I have to do this thousa... -
Hello! Long time lurker, first time asking a question... I am trying to select all of the text objects that reside beneath a block (I need to include the block too). The block can only be identified by having the attribute tag, "ADREM." My initial plan of attack is to locate the block base...
- 11 replies
-
- coordinates
- block
-
(and 2 more)
Tagged with:
-
I have a drawing with an xref clipped several times and laid out but now cannot select them. I have run an audit, recover, purge to all xrefs and the parent file. The xref had some errors so I wblocked the whole drawing out and replaced it which at first helped but then the parent file still had the...
- 5 replies
-
- xclip
- selectable
-
(and 3 more)
Tagged with: